Package org.apache.lucene.sandbox.search

# Class QueryProfilerResult

java.lang.Object
org.apache.lucene.sandbox.search.QueryProfilerResult

public class QueryProfilerResult extends Object
This class is the internal representation of a profiled Query, corresponding to a single node in the query tree. It is built after the query has finished executing and is merely a structured representation, rather than the entity that collects the timing profile.

Each QueryProfilerResult has a List of QueryProfilerResult, which will contain "children" queries if applicable

## Constructor Summary

Constructors
Constructor
Description
`QueryProfilerResult(String type, String description, Map<String,Long> breakdown, long totalTime, List<QueryProfilerResult> children)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Retrieve the lucene description of this query (e.g.
`List<QueryProfilerResult>`
`getProfiledChildren()`
Returns a list of all profiled children queries
`String`
`getQueryName()`
Retrieve the name of the entry (e.g.
`Map<String,Long>`
`getTimeBreakdown()`
The timing breakdown for this node.
`long`
`getTotalTime()`
Returns the total time (inclusive of children) for this query node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryProfilerResult

public QueryProfilerResult(String type, String description, Map<String,Long> breakdown, long totalTime, List<QueryProfilerResult> children)

## Method Details

### getDescription

public String getDescription()
Retrieve the lucene description of this query (e.g. the "explain" text)

### getQueryName

public String getQueryName()
Retrieve the name of the entry (e.g. "TermQuery" or "LongTermsAggregator")

### getTimeBreakdown

public Map<String,Long> getTimeBreakdown()
The timing breakdown for this node.

### getTotalTime

public long getTotalTime()
Returns the total time (inclusive of children) for this query node.

Returns:
  elapsed time in nanoseconds

### getProfiledChildren

public List<QueryProfilerResult> getProfiledChildren()
Returns a list of all profiled children queries